Bug 635086 - Review Request: python-zope-datetime - Zope datetime utilities
Review Request: python-zope-datetime - Zope datetime utilities
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
Depends On:
Blocks: 633138
  Show dependency treegraph
Reported: 2010-09-17 14:16 EDT by Robin Lee
Modified: 2012-08-22 17:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-22 17:08:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2010-09-17 14:16:40 EDT
Spec URL: http://cheeselee.fedorapeople.org/python-zope-datetime.spec
SRPM URL: http://cheeselee.fedorapeople.org/python-zope-datetime-3.4.0-2.fc14.src.rpm
This package provides commonly used date and time related utility functions.

$ rpmlint ./python-zope-datetime.spec /home/cheese/rpmbuild/RPMS/noarch/python-zope-datetime-3.4.0-2.fc14.noarch.rpm /home/cheese/rpmbuild/SRPMS/python-zope-datetime-3.4.0-2.fc14.src.rpm 
./python-zope-datetime.spec: W: no-cleaning-of-buildroot %install
./python-zope-datetime.spec: W: no-cleaning-of-buildroot %clean
./python-zope-datetime.spec: W: no-buildroot-tag
./python-zope-datetime.spec: W: no-%clean-section
python-zope-datetime.src: W: no-cleaning-of-buildroot %install
python-zope-datetime.src: W: no-cleaning-of-buildroot %clean
python-zope-datetime.src: W: no-buildroot-tag
python-zope-datetime.src: W: no-%clean-section
2 packages and 1 specfiles checked; 0 errors, 8 warnings.
Comment 1 Robin Lee 2010-09-17 23:08:13 EDT

Spec URL: http://cheeselee.fedorapeople.org/python-zope-datetime.spec

- Co-own %%{python_sitelib}/zope/
Comment 2 Matthias Runge 2012-03-24 14:27:39 EDT
Any progress here? Robin, are you still interested?
Comment 3 Robin Lee 2012-03-25 02:57:31 EDT
- Update to 3.4.1
- Drop BR python-zope-testing

Spec URL: http://cheeselee.fedorapeople.org/python-zope-datetime.spec
Comment 4 Mario Blättermann 2012-08-09 10:25:36 EDT
New scratch build:

$ rpmlint -i -v *
python-zope-datetime.noarch: I: checking
python-zope-datetime.noarch: I: checking-url http://pypi.python.org/pypi/zope.datetime (timeout 10 seconds)
python-zope-datetime.src: I: checking
python-zope-datetime.src: I: checking-url http://pypi.python.org/pypi/zope.datetime (timeout 10 seconds)
python-zope-datetime.src: I: checking-url http://pypi.python.org/packages/source/z/zope.datetime/zope.datetime-3.4.1.tar.gz (timeout 10 seconds)
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint output is clean.

The folder %{python_sitelib}/zope/ is already provided by python-zope-interface. Assuming your package doesn't need python-zope-interface at runtime, your decision to let it co-own the appropriate folder is correct. It is not in the list of automatic requirements and you don't have it added manually.


[+] OK
[.] OK, not applicable
[X] needs work

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[.] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
$ sha256sum zope*
373b8ed926ba18e2cf17e72011f7cecb0c4c35bbd0ede6cc0426e2e6e9b9c5b2  zope.datetime-3.4.1.tar.gz
373b8ed926ba18e2cf17e72011f7cecb0c4c35bbd0ede6cc0426e2e6e9b9c5b2  zope.datetime-3.4.1.tar.gz.packaged
[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[.] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
See Koji build above (which uses Mock anyway)
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.



Comment 5 Robin Lee 2012-08-11 00:55:50 EDT
New Package SCM Request
Package Name: python-zope-datetime
Short Description: Zope datetime utilities
Owners: cheeselee
Branches: f17 f18
Comment 6 Jon Ciesla 2012-08-11 11:38:18 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-08-13 02:23:12 EDT
python-zope-datetime-3.4.1-1.fc17 has been submitted as an update for Fedora 17.
Comment 8 Fedora Update System 2012-08-13 21:03:15 EDT
python-zope-datetime-3.4.1-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-08-22 17:08:13 EDT
python-zope-datetime-3.4.1-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.